Subject: Re: bug#17841: 24.3; Info description of Emacs startup could better describe package initialization

From: Stefan Kangas <[email-masked]>
Date: Wed, 28 Aug 2019 15:46:38 +0200

tags 17841 + wontfix
close 17841
quit

Eli Zaretskii <[email-masked]> writes:

>> Info node "(emacs) Initial Options" says:
>>
>> "   Some initial options affect the loading of the initialization file.
>> Normally, Emacs first loads `site-start.el' if it exists, then your own
>> initialization file if it exists, and finally the default
>> initialization file `default.el' if it exists (*note Init File::)."
>>
>> It fails to mention package initialization in this paragraph & I think
>> that it should.  It is one of the first places where I looked to find
>> out when in the startup sequence packages are initialized.  I found
>> other locations which described when packages are initializaed, but was
>> confused for a while after reading this paragraph and no mention was
>> made of package initialization.
>
> In the Emacs manual, I typed "i package TAB TAB" and was presented
> with a list that included "package-install" and "package-initialize".
> They both land me in the "Package Installation" section which seems to
> describe what you wanted.

I agree with Eli, and there's been no other opinions expressed in 5
years.  I'm therefore closing this as wontfix.

If anyone disagrees, feel free to reopen.

Thanks,
Stefan Kangas